Replace `false` with `exit 1`

Some scripts contained `false` for returning 1 to callers instead of
`exit 1` and that works like:

  $ false
  $ echo $?
  1
  $

But that made confusion in a PR review process.
So this replaces `false` with `exit 1` for long-term maintenance.
k3s-v1.15.3
Kenichi Omichi 2019-04-16 23:13:00 +00:00
parent db5d390d99
commit 08dc056480
2 changed files with 6 additions and 6 deletions

View File

@ -94,7 +94,7 @@ else
echo 'checking by adding it to hack/.golint_failures (if your reviewer is okay with it).'
echo
} >&2
false
exit 1
fi
if [[ ${#not_failing[@]} -gt 0 ]]; then
@ -106,7 +106,7 @@ if [[ ${#not_failing[@]} -gt 0 ]]; then
done
echo
} >&2
false
exit 1
fi
if [[ ${#gone[@]} -gt 0 ]]; then
@ -118,5 +118,5 @@ if [[ ${#gone[@]} -gt 0 ]]; then
done
echo
} >&2
false
exit 1
fi

View File

@ -169,7 +169,7 @@ else
echo 'checking by adding it to hack/.shellcheck_failures (if your reviewer is okay with it).'
echo
} >&2
false
exit 1
fi
if [[ ${#not_failing[@]} -gt 0 ]]; then
@ -181,7 +181,7 @@ if [[ ${#not_failing[@]} -gt 0 ]]; then
done
echo
} >&2
false
exit 1
fi
# Check that all failing_packages actually still exist
@ -199,5 +199,5 @@ if [[ ${#gone[@]} -gt 0 ]]; then
done
echo
} >&2
false
exit 1
fi